Deployments.ai Docs
Agent Email

Show an email thread and its messages

GET /v1/agent-email/inboxes/{inboxId}/threads/{threadId} · SDK getAgentEmailThread · CLI deployments inbox-thread show

GET
/v1/agent-email/inboxes/{inboxId}/threads/{threadId}

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

inboxId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
threadId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailThreadDetailResponse

application/json
  1. response
messages*array<>
nextCursor?|null
thread*
curl -X GET "https://example.com/v1/agent-email/inboxes/string/threads/string" \  -H "x-deployments-environment: string"
{  "messages": [    {      "acceptedAt": "2019-08-24T14:15:22Z",      "attachments": [        {          "byteSize": 0,          "contentId": "string",          "contentType": "string",          "disposition": "attachment",          "fileName": "string",          "id": "string",          "messageId": "string",          "sha256": "string"        }      ],      "bccAddresses": [        "string"      ],      "ccAddresses": [        "string"      ],      "clientId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z",      "direction": "inbound",      "draftId": "string",      "failureCode": "string",      "failureReason": "string",      "fromAddress": "string",      "htmlBody": "string",      "id": "string",      "inboxId": "string",      "inReplyTo": "string",      "internetMessageId": "string",      "lastReprocessedAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "providerMessageId": "string",      "rawPurgedAt": "2019-08-24T14:15:22Z",      "rawRetentionExpiresAt": "2019-08-24T14:15:22Z",      "receivedAt": "2019-08-24T14:15:22Z",      "references": [        "string"      ],      "replyToAddresses": [        "string"      ],      "reprocessCount": 0,      "scheduledAt": "2019-08-24T14:15:22Z",      "status": "accepted",      "subject": "string",      "textBody": "string",      "threadId": "string",      "threadKey": "string",      "toAddresses": [        "string"      ],      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string",  "thread": {    "createdAt": "2019-08-24T14:15:22Z",    "id": "string",    "inboxId": "string",    "lastMessageAt": "2019-08-24T14:15:22Z",    "messageCount": 0,    "organizationId": "string",    "participants": [      "string"    ],    "subject": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}